Karia
ReferencesOpenapiLeads

List leads

GET
/organisation/{orgId}/workspace/{workspaceId}/origination/lead

List leads in the specified organisation and workspace, with optional search, status, assignee, and pagination filters.

Authorization

ApiKeyAuth
x-api-key<token>

API key for authentication

In: header

Path Parameters

workspaceId*integer
Range0 < value <= 9007199254740991
orgId*string

Query Parameters

page?string
limit?string
search?string
status?|array<>
assignedTo?string|array<string>

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/organisation/string/workspace/1/origination/lead"
{  "items": [    {      "id": "string",      "referenceId": "string",      "status": "string",      "firstName": "string",      "lastName": "string",      "middleName": "string",      "email": "string",      "phone": "string",      "externalSource": "string",      "externalId": "string",      "followUpDate": "string",      "assigneeIds": [        "string"      ],      "contactId": "string",      "contactReferenceId": "string",      "createdAt": "string",      "createdBy": "string",      "deletedAt": "string",      "deletedBy": "string",      "lastUpdatedAt": "string",      "lastUpdatedBy": "string",      "lastIngestAt": "string",      "notes": "string"    }  ],  "pagination": {    "totalItems": 0,    "totalPages": 0,    "pageSize": 0,    "limit": 0,    "currentPage": 0  }}